Subject: Re: more about sockets?
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Mon, 10 Nov 2003 14:26:18 -0800

"Allen H. Nugent" wrote:

>     "gethostbyaddr error--is it possible this machine doesn't have a
> reverse DNS/host entry ?".
> 
> This sounds like a clue as to how to proceed, but I don't know where to go
> from here.
> 
> Is there a way to configure the PC, or is there a program that emulates an
> I'net connection, so as to satisfy cygwin's requirements for socket
> connections without being on-line?

Suppose that your Windows machine name is "FOO", try ensuring that there
is a line in your hosts file such as "127.0.0.1 localhost FOO".  I don't
know if it's necessary (but perhaps worth a shot?) to make a link from
/etc/hosts to the Windows hosts file, which is in
%WINDIR%\system32\drivers\etc for 2k/xp.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/